## org.gjt.sp.jedit.io
Class CopyFileWorker

    java.lang.Object
      org.gjt.sp.util.Task
          org.gjt.sp.jedit.io.CopyFileWorker

All Implemented Interfaces:
  java.lang.Runnable, ProgressObserver

    public class CopyFileWorker

extends Task

This worker will copy a file. Be careful it override files if the target already exists

Since:
  jEdit 4.3pre13

Constructor Summary
`CopyFileWorker(java.awt.Component comp, java.lang.String source, java.lang.String target)`

Method Summary
`void` `_run()` This is the method you have to implement and that will be executed in the thread.
`java.lang.String` `toString()`

Methods inherited from class org.gjt.sp.util.Task
`cancel, getLabel, getMaximum, getState, getStatus, getValue, isCancellable, run, setCancellable, setLabel, setMaximum, setStatus, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CopyFileWorker

    public CopyFileWorker(java.awt.Component comp,
                          java.lang.String source,
                          java.lang.String target)

Parameters:
  `comp` - the component that will be used as parent in case of error
  `source` - the source VFS
  `target` - the target VFS

Method Detail

### _run

    public void _run()

  Description copied from class: `Task`
  This is the method you have to implement and that will be executed in the thread.

  Specified by:
    `_run` in class `Task`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Task`